curl --request GET \
--url https://api.launch.o1.exchange/v1/wallets/{address}/fee-claims \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/wallets/{address}/fee-claims"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/wallets/{address}/fee-claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"kind": "fee",
"chain_id": 8453,
"market": "standard",
"suite": {
"id": "<string>",
"version": "<string>"
},
"fee_escrow_address": "0x1111111111111111111111111111111111111111",
"recipient": "0x1111111111111111111111111111111111111111",
"currency": {
"address": "0x1111111111111111111111111111111111111111",
"kind": "<string>",
"quote": {
"address": "0x1111111111111111111111111111111111111111",
"symbol": "<string>",
"decimals": 127,
"name": "<string>",
"image_url": "<string>"
},
"token": {
"chain_id": 8453,
"market": "standard",
"address": "0x1111111111111111111111111111111111111111",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
}
},
"claimable_raw": "1000000000000000000",
"credited_raw": "1000000000000000000",
"claimed_raw": "1000000000000000000",
"reconciliation": "confirmed",
"last_activity_at": "2026-07-31T12:00:00.000Z",
"price_usd": 1
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 2
},
"meta": {
"request_id": "req_01JZZZZZZZZZZZZZZZZZZZZZZZ",
"generated_at": "2026-07-31T12:00:00.000Z",
"warnings": [
"<string>"
]
}
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}List fee claims
Page through fee positions for one wallet.
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Wallet address. EVM address. The zero address represents native currency only where documented.
^0x[0-9a-fA-F]{40}$"0x1111111111111111111111111111111111111111"
Query Parameters
Production chain to query: 8453 for Base, 4663 for Robinhood Chain, or 143 for Monad. Production chain ID: 8453 for Base, 4663 for Robinhood Chain, or 143 for Monad.
8453, 4663, 143 8453
Launch market to include: standard for crypto-paired tokens, rwa for stock-paired tokens, or all markets.
standard, rwa, all Opaque continuation cursor returned by the previous page. Do not parse or modify it.
4096Maximum number of claim positions to return.
1 <= x <= 50claimable returns positions with a confirmed positive balance; all also includes empty positions.
claimable, all Filter fee positions by payout currency. EVM address. The zero address represents native currency only where documented.
^0x[0-9a-fA-F]{40}$"0x1111111111111111111111111111111111111111"
